import 'package:flutter/cupertino.dart';

enum SeniorTypographyTokens {
  h1,
  h2,
  h3,
  h4,
  CTA,
  title,
  text,
  body,
  small,
  helper,
  tiny
}

class SeniorTypography {
  SeniorTypography._();

  static TextStyle getTextStyle({ required SeniorTypographyTokens token, required Color color }) {
    switch (token) {
      case SeniorTypographyTokens.h1:
        return TextStyle(
          fontWeight: FontWeight.w700,
          fontFamily: 'Inter',
          fontSize: 40.0,
          color: color,
        );
      case SeniorTypographyTokens.h2:
        return TextStyle(
          fontWeight: FontWeight.w600,
          fontFamily: 'Inter',
          fontSize: 32.0,
          color: color,
        );
      case SeniorTypographyTokens.h3:
        return TextStyle(
          fontWeight: FontWeight.w500,
          fontFamily: 'Inter',
          fontSize: 24.0,
          color: color,
        );
      case SeniorTypographyTokens.h4:
        return TextStyle(
          fontWeight: FontWeight.w500,
          fontFamily: 'Inter',
          fontSize: 20.0,
          color: color,
        );
      case SeniorTypographyTokens.CTA:
        return TextStyle(
          fontWeight: FontWeight.w700,
          fontFamily: 'Inter',
          fontSize: 18.0,
          color: color,
        );
      case SeniorTypographyTokens.title:
        return TextStyle(
          fontWeight: FontWeight.w500,
          fontFamily: 'Inter',
          fontSize: 16.0,
          color: color,
        );
      case SeniorTypographyTokens.text:
        return TextStyle(
          fontWeight: FontWeight.w400,
          fontFamily: 'OpenSans',
          fontSize: 16.0,
          color: color,
        );
      case SeniorTypographyTokens.body:
        return TextStyle(
          fontWeight: FontWeight.w400,
          fontFamily: 'OpenSans',
          fontSize: 14.0,
          color: color,
        );
      case SeniorTypographyTokens.small:
        return TextStyle(
          fontWeight: FontWeight.w400,
          fontFamily: 'OpenSans',
          fontSize: 12.0,
          color: color,
        );
      case SeniorTypographyTokens.helper:
        return TextStyle(
          fontWeight: FontWeight.w400,
          fontFamily: 'OpenSans',
          fontSize: 12.0,
          color: color,
        );
      case SeniorTypographyTokens.tiny:
        return TextStyle(
          fontWeight: FontWeight.w500,
          fontFamily: 'Inter',
          fontSize: 10.0,
          color: color,
        );
    }
  }
}

class SeniorTypographyIconSize {
  SeniorTypographyIconSize._();

  static const double h1 = 40.0;
  static const double h2 = 32.0;
  static const double h3 = 24.0;
  static const double h4 = 20.0;
  static const double CTA = 18.0;
  static const double title = 16.0;
  static const double text = 16.0;
  static const double body = 14.0;
  static const double small = 12.0;
  static const double helper = 12.0;
  static const double tiny = 10.0;
}
